# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliveryLIB Class Reference

Process lib step for delivery units
.

`#include <WOKDeliv_DeliveryLIB.hxx>`

Inheritance diagram for WOKDeliv_DeliveryLIB:

[legend]

## Public Member Functions

Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT void | SetList ()=0
virtual Standard_EXPORT Standard_Boolean | NeedsObjects () const =0
virtual Standard_EXPORT void | ComputeOutputLIB (const Handle(WOKernel_DevUnit)&asource, const Handle(WOKMake_InputFile)&inComp)=0
virtual Standard_EXPORT Standard_Boolean | IsAvailable (const Handle(WOKernel_DevUnit)&asource) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKDeliv_DeliveryLIB (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anitem)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes underlying steps Computes output files .
Standard_EXPORT void | TreatStep (const Handle(WOKMake_Step)&astep, const Handle(WOKMake_InputFile)&infileCOMP)

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliveryLIB::WOKDeliv_DeliveryLIB | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DeliveryLIB::AdmFileType | ( |  | ) | const`[virtual]`

| Reimplemented from WOKMake_MetaStep.

virtual Standard_EXPORT void WOKDeliv_DeliveryLIB::ComputeOutputLIB | ( | const Handle(WOKernel_DevUnit)& | asource,
|  | const Handle(WOKMake_InputFile)& | inComp
| ) | `[pure virtual]`

| Implemented in WOKDeliv_DeliveryArchive, and WOKDeliv_DeliveryShared.

virtual Standard_EXPORT void WOKDeliv_DeliveryLIB::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKMake_MetaStep.

Standard_EXPORT const WOKDeliv_DeliveryLIB::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryMetaStep. Reimplemented in WOKDeliv_DeliveryArchive, and WOKDeliv_DeliveryShared.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryLIB::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anitem | ) | `[protected, virtual]`

| Reimplemented from WOKMake_MetaStep.

virtual Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryLIB::IsAvailable | ( | const Handle(WOKernel_DevUnit)& | asource | ) | const`[pure virtual]`

| Implemented in WOKDeliv_DeliveryArchive, and WOKDeliv_DeliveryShared.

virtual Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryLIB::NeedsObjects | ( |  | ) | const`[pure virtual]`

| Implemented in WOKDeliv_DeliveryArchive, and WOKDeliv_DeliveryShared.

virtual Standard_EXPORT void WOKDeliv_DeliveryLIB::SetList | ( |  | ) | `[pure virtual]`

| Implemented in WOKDeliv_DeliveryArchive, and WOKDeliv_DeliveryShared.

Standard_EXPORT void WOKDeliv_DeliveryLIB::TreatStep | ( | const Handle(WOKMake_Step)& | astep,
|  | const Handle(WOKMake_InputFile)& | infileCOMP
| ) | `[private]`

The documentation for this class was generated from the following file:

- WOKDeliv_DeliveryLIB.hxx